Name:               init-headphone
Version:            0.14
Release:            3%{?dist}
Summary:            Manage the headphone amplifier found in some Clevo laptops

License:            GPLv3+
URL:                https://github.com/Unrud/%{name}
Source0:            https://github.com/Unrud/%{name}/archive/v%{version}.tar.gz

BuildArch:          noarch
BuildRequires:      systemd-rpm-macros
BuildRequires:      autoconf, automake, make
BuildRequires:      python3-devel, systemd, kmod
Requires:           python3, kmod

Provides:           %{name} = %{version}

%description
Manage the headphone amplifier found in some Clevo laptops. Can initialize the
device if headphones are not working after suspend.

%prep
%autosetup
cat << EOF > 80-%{name}.preset
enable init-headphone.service
EOF

%build
./autogen.sh
%configure
%make_build

%install
%make_install
%py3_shebang_fix %{buildroot}%{_sbindir}/%{name}
install -Dpm 0644 -t %{buildroot}%{_prefix}/lib/systemd/system-preset 80-%{name}.preset


%files
%license COPYING
%doc README.md NEWS.md
%{_sbindir}/%{name}
%{_unitdir}/%{name}.service
%{_prefix}/lib/systemd/system-preset/80-%{name}.preset

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%changelog
* Sun Aug 27 00:00:00 CEST 2023 Unrud <unrud@outlook.com> - 0.14-3
- First release
